---
type: api
title: Duplicate an exception list
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-duplicateexceptionlist
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-duplicateexceptionlist
products:
  - Kibana
---

# Duplicate an exception list

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/exception_lists/_duplicate`
- `POST` `/s/{space_id}/api/exception_lists/_duplicate`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Duplicate an existing exception list.

## Query String Parameters

- `list_id` (string · min: 1)
  The `list_id` of the existing exception list to copy (source list).
- `namespace_type` (enum)
  Scope in which the source list is defined (`single` = current space, `agnostic` = all spaces).
  Values: `agnostic`, `single`
- `include_expired_exceptions` (enum  · default: true)
  Determines whether to include expired exceptions in the duplicated list. Expiration date defined by `expire_time`.
  Values: `true`, `false`

## Responses

#### `200`

Successful response

`application/json`

- `_version` (string)
  The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
- `created_at` (string)
  Autogenerated date of object creation.
- `created_by` (string)
  Autogenerated value - user that created object.
- `description` (string)
  Describes the exception list.
- `id` (string · min: 1)
  Exception list's identifier.
- `immutable` (boolean)
- `list_id` (string · min: 1)
  The exception list's human-readable string identifier.

For endpoint artifacts, use one of the following values:

* `endpoint_list`: Elastic Endpoint exceptions list
* `endpoint_trusted_apps`: Trusted applications list
* `endpoint_trusted_devices`: Trusted devices list
* `endpoint_event_filters`: Event filters list
* `endpoint_host_isolation_exceptions`: Host isolation exceptions list
* `endpoint_blocklists`: Blocklist
- `meta` (object)
  Placeholder for metadata about the list container.
- `name` (string)
  The name of the exception list.
- `namespace_type` (enum)
  Determines whether the exception container is available in all Kibana spaces or just the space
in which it is created, where:

- `single`: Only available in the Kibana space in which it is created.
- `agnostic`: Available in all Kibana spaces.

For endpoint artifacts, the `namespace_type` must always be `agnostic`. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments.
  Values: `agnostic`, `single`
- `os_types` ([] object)
  Use this field to specify the operating system. Only enter one value.
  Values: `linux`, `macos`, `windows`
- `tags` ([] object)
  String array containing words and phrases to help categorize exception containers.
- `tie_breaker_id` (string)
  Field used in search to ensure all containers are sorted and returned correctly.
- `type` (enum)
  The type of exception list to be created. Different list types may denote where they can be utilized.
  Values: `detection`, `rule_default`, `endpoint`, `endpoint_trusted_apps`, `endpoint_trusted_devices`, `endpoint_events`, `endpoint_host_isolation_exceptions`, `endpoint_blocklists`, `endpoint_custom_yara_signatures`
- `updated_at` (string)
  Autogenerated date of last object update.
- `updated_by` (string)
  Autogenerated value - user that last updated object.
- `version` (integer · min: 1)
  The document version, automatically increasd on updates.
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

Exception list not found

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `405`

Exception list to duplicate not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
POST /api/exception_lists/_duplicate?list_id={list_id}&namespace_type={namespace_type}&include_expired_exceptions={include_expired_exceptions}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/exception_lists/_duplicate?list_id={list_id}&namespace_type={namespace_type}&include_expired_exceptions={include_expired_exceptions}"
```

## Response Examples

#### Detection exception list

```json
{
  "_version": "WzExNDY1LDFd",
  "created_at": "2025-01-09T16:19:50.280Z",
  "created_by": "elastic",
  "description": "This is a sample detection type exception",
  "id": "b2f4a715-6ab1-444c-8b1e-3fa1b1049429",
  "immutable": false,
  "list_id": "d6390d60-bce3-4a48-9002-52db600f329c",
  "name": "Sample Detection Exception List [Duplicate]",
  "namespace_type": "single",
  "os_types": [],
  "tags": [
    "malware"
  ],
  "tie_breaker_id": "6fa670bd-666d-4c9c-9f1e-d1dbc516e985",
  "type": "detection",
  "updated_at": "2025-01-09T16:19:50.280Z",
  "updated_by": "elastic",
  "version": 1
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: namespace_type: Invalid enum value. Expected \u0027agnostic\u0027 | \u0027single\u0027, received \u0027foo\u0027",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [POST /api/exception_lists/_duplicate] is unauthorized for user, this action is granted by the Kibana privileges [lists-all]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "exception list id: \u0022foo\u0022 does not exist",
  "status_code": 404
}
```

#### Not allowed

```json
{
  "message": "Cannot duplicate: list is immutable or the operation is not allowed in this state",
  "status_code": 405
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

